#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEC,0x8D,0x7F,0x44,0xCA,0x70,0x51,0x66,0xBD,0x5B,0xAA,0xAD,
		0x0B,0x42,0xC0,0x13,0x23,0x85,0x62,0x3C,0xBD,0xD3,0x53,0x13,
		0xFC,0x24,0xA9,0xDA,0x46,0x4E,0xC2,0x30,0x52,0x74,0xD6,0xC5,
		0xFB,0xE7,0x81,0xEF,0xF8,0xE0,0x4A,0x8B,0xF6,0x83,0x11,0x93,
		0xC4,0xEF,0xBE,0x21,0xAC,0x0F,0x92,0xA4,0xA9,0x48,0x2D,0x2A,
		0x24,0xDB,0x0B,0x0B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
